### Enumeration

# Aravis GcRepresentation

since: 0.8.0

#### Declaration

    enum Aravis.GcRepresentation

#### Description [src]

Number representation formats.

Available since: 0.8.0

#### Members

`ARV_GC_REPRESENTATION_UNDEFINED`

  Undefined representation.

  - Value: `-1`
  - Available since: 0.8.0
`ARV_GC_REPRESENTATION_LINEAR`

  Number presented on linear scale (e.g. on a linear slider).

  - Value: `0`
  - Available since: 0.8.0
`ARV_GC_REPRESENTATION_LOGARITHMIC`

  Number presented on logarithmic scale (e.g. on a logarithmic slider).

  - Value: `1`
  - Available since: 0.8.0
`ARV_GC_REPRESENTATION_BOOLEAN`

  Binary choice (e.g. a checkbox).

  - Value: `2`
  - Available since: 0.8.0
`ARV_GC_REPRESENTATION_PURE_NUMBER`

  Number presented in an editable field (e.g. a spinbox).

  - Value: `3`
  - Available since: 0.8.0
`ARV_GC_REPRESENTATION_HEX_NUMBER`

  Number presented in hexadecimal format.

  - Value: `4`
  - Available since: 0.8.0
`ARV_GC_REPRESENTATION_IPV4_ADDRESS`

  IPv4 address.

  - Value: `5`
  - Available since: 0.8.0
`ARV_GC_REPRESENTATION_MAC_ADDRESS`

  MAC address.

  - Value: `6`
  - Available since: 0.8.0